hashKey.h File Reference
`#include "osl/basic_type.h"`
`#include "osl/bits/pieceStand.h"`
`#include "osl/simpleState.h"`
`#include <cstddef>`

Go to the source code of this file.

## Classes

struct | osl::hash::BoardKey96
struct | osl::hash::HashKey128Layout
class | osl::hash::HashKey128
| 手番を含んだ盤面の状態のハッシュ値を保持するためのクラス. More...
struct | osl::hash::HashKey128::StandHash
class | osl::hash::HashKey
class | osl::hash::HashGenTable
struct | std::hash< osl::HashKey >
struct | std::hash< osl::BoardKey >
class | osl::HashKey
class | osl::HashGenTable

## Namespaces

namespace | osl
namespace | osl::hash
namespace | std

## Typedefs

typedef HashKey128 | osl::hash::HashKeyBase
typedef BoardKey96 | osl::hash::BoardKey
typedef BoardKey96 | osl::BoardKey

## Functions

bool | osl::hash::operator== (const HashKey128 &l, const HashKey128 &r)
bool | osl::hash::operator!= (const HashKey128 &l, const HashKey128 &r)
bool | osl::hash::operator< (const HashKey128 &l, const HashKey128 &r)
| set等で使うためのみの不等号.
std::ostream & | osl::hash::operator<< (std::ostream &os, const HashKey &h)